Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class KeySpecificInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x9.KeySpecificInfo

All Implemented Interfaces:
  DEREncodable

public class KeySpecificInfo
extends ASN1Encodable

ASN.1 def for Diffie-Hellman key exchange KeySpecificInfo structure. See RFC 2631, or X9.42, for further details.

Constructor Summary
`KeySpecificInfo(ASN1Sequence seq)`
`KeySpecificInfo(DERObjectIdentifier algorithm, ASN1OctetString counter)`

Method Summary
`DERObjectIdentifier` | `getAlgorithm()`
`ASN1OctetString` | `getCounter()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeySpecificInfo

    public KeySpecificInfo(DERObjectIdentifier algorithm,
                           ASN1OctetString counter)

### KeySpecificInfo

    public KeySpecificInfo(ASN1Sequence seq)

Method Detail

### getAlgorithm

    public DERObjectIdentifier getAlgorithm()

### getCounter

    public ASN1OctetString getCounter()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        KeySpecificInfo ::= SEQUENCE {
            algorithm OBJECT IDENTIFIER,
            counter OCTET STRING SIZE (4..4)
        }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD